groovy.util

## Class XmlNodePrinter.NamespaceContext

- java.lang.Object
- - groovy.util.XmlNodePrinter.NamespaceContext

Enclosing class:
  XmlNodePrinter

    protected static class XmlNodePrinter.NamespaceContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`NamespaceContext()`
`NamespaceContext(XmlNodePrinter.NamespaceContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNamespace(java.lang.String prefix)`
`boolean` `isPrefixRegistered(java.lang.String prefix, java.lang.String uri)`
`void` `registerNamespacePrefix(java.lang.String prefix, java.lang.String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamespaceContext

    public NamespaceContext()

#### NamespaceContext

    public NamespaceContext(XmlNodePrinter.NamespaceContext context)

### Method Detail

#### isPrefixRegistered

    public boolean isPrefixRegistered(java.lang.String prefix,
                                      java.lang.String uri)

#### registerNamespacePrefix

    public void registerNamespacePrefix(java.lang.String prefix,
                                        java.lang.String uri)

#### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)